// cette classe est associée  au layout principal
// si mode portrait alors layout => 1 seul fragment: la liste
// si mode land layout => 2  fragments: la liste et la map

// vous devez mettre en place le pattern Observeur
// La liste est le générateur d'événement: c'est le sujet (celui qui est observé)
// L'activité principal (cette classe) est l'observateur ( celui qui écoute ie, l'écouteur)
// ce pattern s'appuie sur une abstraction: l'interface OnCoordListSelectedListener
// associé à la méthode  de notification (Liste vers Activité)  public void OnCoordSelectedEvent(String coord)




package com.example.MapDemoSimple;

import android.app.Activity;
import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.Display;
import android.widget.Toast;

import com.google.android.gms.common.GooglePlayServicesUtil;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.MapFragment;
import com.google.android.gms.maps.model.BitmapDescriptorFactory;
import com.google.android.gms.maps.model.CameraPosition;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.Marker;
import com.google.android.gms.maps.model.MarkerOptions;
import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;
import com.example.MapDemoSimple.ListCoordFragment.OnCoordListSelectedListener;;


public class MapDemoSimple 	extends Activity  
							implements // TODO: implémente le contrat d'un écouteur
	// Google Map
    private GoogleMap googleMap;
    private LatLng iutDptGEIIcoord = new LatLng(43.137293,6.01658);
    private GeoPoint p;	
    
    private static final String KEY1 = "coord_value";
    
    /**
     * function to load map. If map is not created it will create it for you
     * */
    private void initilizeMap() {
        if (googleMap == null) {
            googleMap = ((MapFragment) getFragmentManager().findFragmentById(
                    R.id.map)).getMap();
 
            // check if map is created successfully or not
            if (googleMap == null) {
                Toast.makeText(getApplicationContext(),
                        "Sorry! unable to create maps", Toast.LENGTH_LONG)
                        .show();
            }
        } 
    }
    
	private boolean isMultiPane() {
		return getResources().getConfiguration().orientation
		== Configuration.ORIENTATION_LANDSCAPE;
		}

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
      if (  isMultiPane())
        initilizeMap();
    }
    
   
    
 
    @Override
    protected void onResume() {
        super.onResume();
        if (  isMultiPane())
            initilizeMap();
    }
    
   
    // Méthode de notification OnCoordSelectedEvent de l'écouteur
	@Override
	public void xxxxxxx {
		//---the location is represented as "lat,lng"---
		
		if (  isMultiPane()){
	        String[] coordinates = coord.split(",");
	        double lat = Double.parseDouble(xxxxx);
	        double lng = Double.parseDouble(xxxxx);  
	        
	        CameraPosition cameraPosition = new CameraPosition.Builder().target(
	                new LatLng(lat, lng)).zoom(12).build();
	        googleMap.animateCamera(CameraUpdateFactory.newCameraPosition(cameraPosition));
		}
		else {// portrait mode
			Intent intent = new Intent(getApplicationContext(),
					MapDisplayActivity.class);
			intent.putExtra(KEY1, coord);
			startActivity(intent);
		}
  
		
	}
}
