package com.example.MapDemoSimple;

import android.app.Activity;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.Display;
import android.widget.Toast;

import com.google.android.gms.common.GooglePlayServicesUtil;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.MapFragment;
import com.google.android.gms.maps.model.BitmapDescriptorFactory;
import com.google.android.gms.maps.model.CameraPosition;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.Marker;
import com.google.android.gms.maps.model.MarkerOptions;
import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;
import com.example.MapDemoSimple.ListCoordFragment.OnCoordListSelectedListener;;


public class MapDisplayActivity 	extends Activity  
							{
	// Google Map
    private GoogleMap googleMap;
    private LatLng iutDptGEIIcoord = new LatLng(43.137293,6.01658);
    private GeoPoint p;	

    private static final String KEY1 = "coord_value";
    
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.mapactivity);
        initilizeMap();
        
        Bundle extra=getIntent().getExtras(); // retrieve transmitted bundle
        if (extra!=null){
        	String coord = extra.getString(KEY1);
        	String[] coordinates = coord.split(",");
        	double lat = Double.parseDouble(coordinates[0]);
        	double lng = Double.parseDouble(coordinates[1]);  

        	CameraPosition cameraPosition = new CameraPosition.Builder().target(
        			new LatLng(lat, lng)).zoom(15).build();
        	googleMap.animateCamera(CameraUpdateFactory.newCameraPosition(cameraPosition));
        }
      
        
        
    }
    
    /**
     * function to load map. If map is not created it will create it for you
     * */
    private void initilizeMap() {
        if (googleMap == null) {
            googleMap = ((MapFragment) getFragmentManager().findFragmentById(
                    R.id.map)).getMap();
 
            // check if map is created successfully or not
            if (googleMap == null) {
                Toast.makeText(getApplicationContext(),
                        "Sorry! unable to create maps", Toast.LENGTH_LONG)
                        .show();
            }
        } 
    }
    
 
    @Override
    protected void onResume() {
        super.onResume();
        initilizeMap();
    }
    
	
}
