package com.example.MapDemoSimple;

import android.app.Activity;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.os.Handler;
import android.view.Display;
import android.view.View;

import com.google.android.gms.common.GooglePlayServicesUtil;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.MapFragment;
import com.google.android.gms.maps.model.BitmapDescriptorFactory;
import com.google.android.gms.maps.model.CameraPosition;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.Marker;
import com.google.android.gms.maps.model.MarkerOptions;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;
import com.example.MapDemoSimple.ListCoordFragment.OnCoordListSelectedListener;;

public class MapDemoSimple extends Activity 
			implements OnCoordListSelectedListener{
	
	private static final String KEY1 = "coord_value";
	private MapFragment myMapFragment;
	private GoogleMap myGoogleMap;
	
	private boolean isMultiPane() {
		return getResources().getConfiguration().orientation
		== Configuration.ORIENTATION_LANDSCAPE;
		}

	@Override
    public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		if (isMultiPane()){
			FragmentManager fragmentManager = getFragmentManager();
			myMapFragment=(MapFragment)fragmentManager.findFragmentById(R.id.mapContainer); 
			if (myMapFragment==null){ 
				FragmentTransaction fragmentTransaction = 
						fragmentManager.beginTransaction();

				myMapFragment = MapFragment.newInstance();
				fragmentTransaction.add(R.id.mapContainer, myMapFragment);
				fragmentTransaction.commit();
			}
			// Handler quick dirty -> better solution is extending MapFragment+ listener -> see CustumMapFragment 
			new Handler().postDelayed(new Runnable() { // delayed getMap is needed since commit is asynchronous 
				//the GoogleMap. Null if the view of the fragment is not yet ready.
				//This can happen if the fragment lifecyle have not gone through onCreateView(LayoutInflater, ViewGroup, Bundle) yet. 
				@Override
				public void run() {
					try{
						myGoogleMap = myMapFragment.getMap();

					}catch(NullPointerException e)
					{
						e.printStackTrace();
					}
				}
			}, 3000);

		}
		
	}
        
       
    
	public void OnCoordSelectedEvent(String coord) {
		if ( isMultiPane()){
	        String[] coordinates = coord.split(",");
	        double lat = Double.parseDouble(coordinates[0]);
	        double lng = Double.parseDouble(coordinates[1]);  
	        
	        CameraPosition cameraPosition = new CameraPosition.Builder().target(
	                new LatLng(lat, lng)).zoom(12).build();
	        myGoogleMap.animateCamera(CameraUpdateFactory.newCameraPosition(cameraPosition));
		}
		else {// portrait mode
			Intent intent = new Intent(getApplicationContext(),
					MapDisplayActivity.class);
			intent.putExtra(KEY1, coord);
			startActivity(intent);
		}
	}
}
	

	//	}

